unit uEditorLeftbar;

interface

uses
  Rubies, HEditor;

var
  cEditorLeftbar: Tvalue;

function ap_iEditorLeftbar(real: TEditorLeftbar; owner: Tvalue): Tvalue;
procedure Init_EditorLeftbar;

implementation

uses
  Pythia, uNotifyPersistent, uEditor;

function EditorLeftbar_alloc(This: Tvalue; real: TEditorLeftbar): Tvalue;
begin
  result := TmpAlloc(This, real);
end;

function ap_iEditorLeftbar(real: TEditorLeftbar; owner: Tvalue): Tvalue;
begin
  result := EditorLeftbar_alloc(cEditorLeftbar, real);
  ap_owner(result, owner);
end;

function ap_iEditorLeftbar_v(var AControl; owner: Tvalue): Tvalue;
begin
  result := ap_iEditorLeftbar(TEditorLeftbar(AControl), owner)
end;
procedure Init_EditorLeftbar;
begin
  DefineConstSetType(cEditor, TypeInfo(TEditorShowNumberMode));

  cEditorLeftbar := rb_define_class_under(cEditor, 'Leftbar', cNotifyPersistent);
  DefineProp(cEditorLeftbar, TEditorLeftbar);
end;

end.
